# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_RealList Class Reference

`#include <PDataStd_RealList.hxx>`

Inheritance diagram for PDataStd_RealList:

[legend]

## Public Member Functions

Standard_EXPORT | PDataStd_RealList ()
Standard_EXPORT void | Init (const Standard_Integer lower, const Standard_Integer upper)
Standard_EXPORT void | SetValue (const Standard_Integer index, const Standard_Real value)
Standard_EXPORT Standard_Real | Value (const Standard_Integer index) const
Standard_EXPORT Standard_Integer | Lower () const
Standard_EXPORT Standard_Integer | Upper () const
| PDataStd_RealList (const Storage_stCONSTclCOM &a)
| Handle (PColStd_HArray1OfReal) _CSFDB_GetPDataStd_RealListmyValue() const
void | _CSFDB_SetPDataStd_RealListmyValue (const Handle(PColStd_HArray1OfReal)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PColStd_HArray1OfReal | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_RealList::PDataStd_RealList | ( |  | ) |

PDataStd_RealList::PDataStd_RealList | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDataStd_RealList::_CSFDB_SetPDataStd_RealListmyValue | ( | const Handle(PColStd_HArray1OfReal)& | p | ) | `[inline]`

Standard_EXPORT const PDataStd_RealList::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_RealList::Handle | ( | PColStd_HArray1OfReal |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_RealList::Init | ( | const Standard_Integer | lower,
|  | const Standard_Integer | upper
| ) |

Standard_EXPORT Standard_Integer PDataStd_RealList::Lower | ( |  | ) | const

Standard_EXPORT void PDataStd_RealList::SetValue | ( | const Standard_Integer | index,
|  | const Standard_Real | value
| ) |

Standard_EXPORT Standard_Integer PDataStd_RealList::Upper | ( |  | ) | const

Standard_EXPORT Standard_Real PDataStd_RealList::Value | ( | const Standard_Integer | index | ) | const

## Field Documentation

Handle_PColStd_HArray1OfReal PDataStd_RealList::myValue `[private]`

The documentation for this class was generated from the following file:

- PDataStd_RealList.hxx